import { ValidatorFn } from '@angular/forms';
export declare class InputBase<T> {
    label: string;
    key: string;
    value: T;
    classes: string[];
    group: number;
    group_classes: string[];
    validators: ValidatorFn[];
    controlType: string;
    onChange?: Function;
    options?: {
        label: string;
        value: string;
    }[];
    message?: string;
    upload_path?: string;
    acceptedFiles?: string;
    maxFilesize?: number;
    maxFiles?: number;
    showPreview?: boolean;
    url?: string;
    headers?: object;
    paramName?: string;
    resultTransformer?: Function;
    type?: string;
    mask?: {}[];
    valueWithCharacter?: boolean;
    guide?: boolean;
    placeholder?: string;
    height?: string;
    plugins?: string;
    showIcon?: Boolean;
    monthNavigator?: Boolean;
    yearNavigator?: Boolean;
    yearRange?: string;
    showTime?: Boolean;
    timeOnly?: Boolean;
    dateFormat?: string;
    tags?: Boolean;
    constructor(options?: {
        label?: string;
        key?: string;
        value?: T;
        classes?: string[];
        group?: number;
        group_classes?: string[];
        validators?: ValidatorFn[];
        controlType?: string;
    });
}
